%define name monsoon
%define version 0.21
%define svn r148377
%define release %mkrel 2.%svn.2

Summary: Graphical Bittorrent client for Mono
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.monsoon-project.org/jaws/data/files/%version/%{name}-%svn.tar.xz
Patch: monsoon-0.11.3-desktopentry.patch
#gw fix for an API change in monotorrent:
#http://anonsvn.mono-project.com/viewvc/trunk/bitsharp/src/MonoTorrent/MonoTorrent.Client/ClientEngine.cs?r1=131076&r2=137752
Patch1: monsoon-r148377-dont-wait-on-stopall.patch
License: MIT/X11
Group: Networking/File transfer
Url: http://www.monsoon-project.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: mono-addins-devel
BuildRequires: mono-devel
BuildRequires: mono-nat
BuildRequires: monotorrent >= 0.80
BuildRequires: ndesk-dbus-glib-devel
#BuildRequires: nlog
BuildRequires: gnome-sharp2-devel
BuildRequires: intltool
BuildRequires: libtool
Provides: monotorrent-interface
Obsoletes: monotorrent-interface
%define _requires_exceptions lib64\\|libgtk\\|libx

%description
A fully featured bittorrent GUI supporting many advanced features such
as selective downloading, automatic port forwarding via uPnP and RSS
integration.


%prep
%setup -q -n %name
%patch -p1
%patch1
./autogen.sh

%build
./configure --prefix=%_prefix
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall libdir=%buildroot%_prefix/lib
ln -sf %_prefix/lib/monotorrent/MonoTorrent.dll %_prefix/lib/mono-nat/Mono.Nat.dll %buildroot%_prefix/lib/%name
rm -f %buildroot%_prefix/lib/%name/NLog.dll

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%update_desktop_database

%postun
%clean_desktop_database

%files -f %name.lang
%defattr(-,root,root)
%doc README
%_bindir/%name
%_datadir/applications/%name.desktop
%dir %_prefix/lib/%name
%_prefix/lib/%name/icons
%_prefix/lib/%name/Monsoon.exe
%_prefix/lib/%name/Monsoon.exe.config
%_prefix/lib/%name/MonoTorrent.dll
%_prefix/lib/%name/Mono.Nat.dll


%changelog
* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0.21-2.r148377.2mdv2011.0
+ Revision: 612928
- the mass rebuild of 2010.1 packages

* Mon Dec 14 2009 Götz Waschk <waschk@mandriva.org> 0.21-2.r148377.1mdv2010.1
+ Revision: 478572
- fix build deps
- new snapshot
- fix build

* Sun May 03 2009 Götz Waschk <waschk@mandriva.org> 0.21-1mdv2010.0
+ Revision: 371157
- new version
- bump monotorrent dep

* Fri Feb 20 2009 Götz Waschk <waschk@mandriva.org> 0.20-2mdv2009.1
+ Revision: 343304
- remove bundled nlog

* Fri Feb 20 2009 Götz Waschk <waschk@mandriva.org> 0.20-1mdv2009.1
+ Revision: 343276
- update build deps
- new version
- new source URL
- build with external monotorrent and mono-nat

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 0.15-3mdv2009.0
+ Revision: 273841
- rebuild

* Mon Jun 23 2008 Götz Waschk <waschk@mandriva.org> 0.15-2mdv2009.0
+ Revision: 228411
- really use included monotorrent

* Mon Jun 23 2008 Götz Waschk <waschk@mandriva.org> 0.15-1mdv2009.0
+ Revision: 228234
- new version
- build with bundled monotorrent

* Wed Apr 30 2008 Götz Waschk <waschk@mandriva.org> 0.11.3-1mdv2009.0
+ Revision: 199406
- drop source 1
- fix rpm group
- new version
- patch to fix desktop entry
- update deps
- update installation
- update file list
- rename

* Wed Jan 30 2008 Götz Waschk <waschk@mandriva.org> 0.1-2mdv2008.1
+ Revision: 160390
- fix deps

* Wed Jan 30 2008 Götz Waschk <waschk@mandriva.org> 0.1-1mdv2008.1
+ Revision: 160216
- import monotorrent-interface

